module.exports = function(grunt) {
    // Project configuration.
    grunt.initConfig({
        pkg: grunt.file.readJSON("package.json"),
        concat: {
            options: {
                separator: ""
            },
            chartJs: {
                src: [
                    "dist/boxline.chart.js",
                    "dist/echarts.js",
                    "dist/data.tool.js"
                ],
                dest: "dist/chart.js"
            }
        },

        uglify: {
            options: {
                banner:
                    '/*! <%= pkg.name %> <%= grunt.template.today("yyyy-mm-dd HH:MM:ss") %> */\n'
            },
            docs: {
                files: {
                    "dist/chart.min.js": [
                        "dist/boxline.chart.js",
                        "dist/echarts.js",
                        "dist/data.tool.js"
                    ]
                }
            }
        }
    });

    grunt.loadNpmTasks("grunt-contrib-uglify");
    grunt.loadNpmTasks("grunt-contrib-concat");
    grunt.registerTask("default", ["concat", "uglify"]);
};
