import { expanderProvider } from "./providers/expander.provider.js";
import { chartDisplayProvider } from "./providers/chartDisplay.provider.js";

BI.provider("bi.provider.share.chart", chartDisplayProvider);
BI.provider("bi.provider.share.expander", expanderProvider);

BI.config("bi.provider.chart", function(provider) {
    provider.inject({
        type: "boxplot",
        text: "箱线图",
        cls: "chart-type-boxplot-column-icon",
        disabledCls: "chart-type-boxplot-column-disabled-icon",
        resultType: BICst.DESIGN.WIDGET.DETAIL,
        providers: {
            chartProvider: {
                // 自己注册的provider
                type: "bi.provider.share.chart"
            }
        },
        expanders: [
            {
                type: "bi.provider.share.expander",
                text: "xxx设置",
                value: "attr1"
            }
        ],
        required: [
            {
                dimension: ">=1",
                measure: ">=1"
            }
        ]
    });
});
